initial commit

This commit is contained in:
2026-05-26 02:08:47 -05:00
commit aac5d72fe4
60 changed files with 12096 additions and 0 deletions
@@ -0,0 +1,71 @@
diff --git a/po/check_translations.sh b/po/check_translations.sh
index 76562cb..146b810 100755
--- a/po/check_translations.sh
+++ b/po/check_translations.sh
@@ -1,4 +1,4 @@
-#!/usr/bin/env bash
+#!/bin/sh
# Go to po directory
cd "$(dirname "${0}")" || exit 1
diff --git a/tests/test_duplicate_mime_types.sh b/tests/test_duplicate_mime_types.sh
index e7dfb15..1b1245b 100755
--- a/tests/test_duplicate_mime_types.sh
+++ b/tests/test_duplicate_mime_types.sh
@@ -1,20 +1,20 @@
-#!/usr/bin/env bash
-set -euo pipefail
+#!/bin/sh
+set -eu
: ${1:?filename argument missing}
xml_db_file="${1}"
-test -f ${xml_db_file} || {
- printf "%s: no such file\n" ${xml_db_file} >&2
+test -f "${xml_db_file}" || {
+ printf '%s: no such file\n' "${xml_db_file}" >&2
exit 1
}
duplicated=$(
xmllint --xpath \
"//*[local-name()='mime-type' or local-name()='alias']/@type" \
- ${xml_db_file} | tr ' ' '\n' | sort | uniq -d
+ "${xml_db_file}" | tr ' ' '\n' | sort | uniq -d
)
-if [[ -n "${duplicated}" ]]; then
+if [ -n "${duplicated}" ]; then
echo "*************************************************************"
echo "** Some mime-types are duplicated, fix before committing: **"
echo "${duplicated}"
diff --git a/tests/test_generic_icons.sh b/tests/test_generic_icons.sh
index de6c56f..41877f6 100755
--- a/tests/test_generic_icons.sh
+++ b/tests/test_generic_icons.sh
@@ -1,4 +1,4 @@
-#!/usr/bin/env bash
+#!/bin/sh
xml_db_file="${1}"
diff --git a/tests/test_mime.sh b/tests/test_mime.sh
index 49c531b..b3e9fef 100755
--- a/tests/test_mime.sh
+++ b/tests/test_mime.sh
@@ -1,4 +1,4 @@
-#!/usr/bin/env bash
+#!/bin/sh
set -e
source_root="${1}"
diff --git a/tests/test_staging.sh b/tests/test_staging.sh
index a993dce..b62878c 100755
--- a/tests/test_staging.sh
+++ b/tests/test_staging.sh
@@ -1,4 +1,4 @@
-#!/usr/bin/env bash
+#!/bin/sh
set -e
source_root="${1}"